Search Results for

Show / Hide Table of Contents

# Class LabelGetterDelegate

Delegate for custom formatting of axis labels. Determines what should be displayed at a given label

##### Inheritance

System.Object
LabelGetterDelegate

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class LabelGetterDelegate : MulticastDelegate

### Constructors

#### LabelGetterDelegate(Object, IntPtr)

##### Declaration

    public LabelGetterDelegate(object object, IntPtr method)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | object |
System.IntPtr | method |

### Methods

#### BeginInvoke(AxisIncrementToRender, AsyncCallback, Object)

##### Declaration

    public virtual IAsyncResult BeginInvoke(AxisIncrementToRender toRender, AsyncCallback callback, object object)

##### Parameters

Type | Name | Description
--- | --- | ---
AxisIncrementToRender | toRender |
System.AsyncCallback | callback |
System.Object | object |

##### Returns

Type | Description
--- | ---
System.IAsyncResult |

#### EndInvoke(IAsyncResult)

##### Declaration

    public virtual string EndInvoke(IAsyncResult result)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IAsyncResult | result |

##### Returns

Type | Description
--- | ---
System.String |

#### Invoke(AxisIncrementToRender)

##### Declaration

    public virtual string Invoke(AxisIncrementToRender toRender)

##### Parameters

Type | Name | Description
--- | --- | ---
AxisIncrementToRender | toRender |

##### Returns

Type | Description
--- | ---
System.String |